PHY_INIT_EEE(9)

NAME
phy_init_eee - init and check the EEE feature

SYNOPSIS

int phy_init_eee(struct phy_device * phydev, bool clk_stop_enable);

ARGUMENTS

phydev
    target phy_device struct

clk_stop_enable
    PHY may stop the clock during LPI

DESCRIPTION

it checks if the Energy-Efficient Ethernet (EEE) is supported by looking at the MMD registers 3.20 and 7.60/61 and it programs the MMD register 3.0 setting the “Clock stop enable” bit if required.

COPYRIGHT